Subject: Re: [v3] powerpc/powernv: Initialise nest mmu

From: Michael Ellerman <[email-masked]>
Date: Wed, 1 Feb 2017 12:05:32 +1100 (AEDT)

On Wed, 2016-12-14 at 02:36:51 UTC, Alistair Popple wrote:
> POWER9 contains an off core mmu called the nest mmu (NMMU). This is
> used by other hardware units on the chip to translate virtual
> addresses into real addresses. The unit attempting an address
> translation provides the majority of the context required for the
> translation request except for the base address of the partition table
> (ie. the PTCR) which needs to be programmed into the NMMU.
> 
> This patch adds a call to OPAL to set the PTCR for the nest mmu in
> opal_init().
> 
> Signed-off-by: Alistair Popple <[email-masked]>

Applied to powerpc next, thanks.

https://git.kernel.org/powerpc/c/1d0761d2557d1540727723e4f05395

cheers